package com.rc.httpcore.vo.response;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * info
 *
 * @author ReiChin_
 */
public class SubInfoVo implements Parcelable, Cloneable {

    public String adminId; // 负责人
    public byte[] data; // 特征码
    public String safeUserId; // 安全责任人
    public String subId; // 实验室ID
    public String subName; // 实验室名称

    public SubInfoVo() {
    }

    protected SubInfoVo(Parcel in) {
        adminId = in.readString();
        data = in.createByteArray();
        safeUserId = in.readString();
        subId = in.readString();
        subName = in.readString();
    }

    @Override
    public SubInfoVo clone() {
        SubInfoVo bean = null;
        try {
            bean = (SubInfoVo) super.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return bean;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(adminId);
        dest.writeByteArray(data);
        dest.writeString(safeUserId);
        dest.writeString(subId);
        dest.writeString(subName);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<SubInfoVo> CREATOR = new Creator<SubInfoVo>() {
        @Override
        public SubInfoVo createFromParcel(Parcel in) {
            return new SubInfoVo(in);
        }

        @Override
        public SubInfoVo[] newArray(int size) {
            return new SubInfoVo[size];
        }
    };
}
